aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/swaysession
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2019-10-21 22:23:00 +0300
committerYaroslav <contact@yaroslavps.com>2019-10-21 22:23:00 +0300
commitcf2c54a481a587af7639ec936e66895aa1153b4c (patch)
tree5d4204a11d3497cf4aac2b46cbe6fafe72bea29c /dotfiles/.scripts/swaysession
parent99a461da7c1065c18628fbd7314a135a41d5707e (diff)
downloadswayrice-cf2c54a481a587af7639ec936e66895aa1153b4c.tar.gz
swayrice-cf2c54a481a587af7639ec936e66895aa1153b4c.zip
got rid of xorg and i3 dependencies on some scripts
Diffstat (limited to 'dotfiles/.scripts/swaysession')
-rwxr-xr-xdotfiles/.scripts/swaysession35
1 files changed, 35 insertions, 0 deletions
diff --git a/dotfiles/.scripts/swaysession b/dotfiles/.scripts/swaysession
new file mode 100755
index 0000000..17f99ca
--- /dev/null
+++ b/dotfiles/.scripts/swaysession
@@ -0,0 +1,35 @@
+#!/bin/sh
+# /usr/bin/i3exit
+
+# on void just sudo
+[[ $(cat /proc/1/comm) == "systemd" ]] && logind=systemctl || logind=loginctl
+
+case "$1" in
+ lock)
+ lock-color
+ ;;
+ logout)
+ swaymsg exit
+ ;;
+ switch_user)
+ dm-tool switch-to-greeter
+ ;;
+ suspend)
+ lock-color & sleep 1 && $logind suspend
+ ;;
+ hibernate)
+ lock-color & sleep 1 && $logind hibernate
+ ;;
+ reboot)
+ $logind reboot
+ ;;
+ shutdown)
+ $logind poweroff
+ ;;
+ *)
+ echo "== ! i3exit: missing or invalid argument ! =="
+ echo "Try again with: lock | logout | switch_user | suspend | hibernate | reboot | shutdown"
+ exit 2
+esac
+
+exit 0